sc_require('controllers/search_controller');

GoogleSearch.main = function main() {

    GoogleSearch.getPath('mainPage.mainPane').append();

    // Register TabHost
    GoogleSearch.get('searchController').registerTabHostView(
            GoogleSearch.get('mainPage').get('mainPane').get('tabHostView')
    );
    // Register LoadingPanel
    GoogleSearch.get('searchController').registerLoadingPanel(
            GoogleSearch.get('mainPage').get('mainPane').get('loadingView')
    );
         
};


function main() { GoogleSearch.main(); }
; if ((typeof SC !== 'undefined') && SC && SC.Module && SC.Module.scriptDidLoad) SC.Module.scriptDidLoad('google_search');